
////////////////////////////////////////
///////////                //////////////
//////////       播放器     /////////////
//////////                 /////////////
////////////////////////////////////////
var playerIdCount = 0;
function Player(ele) {
  var url = ele.getAttribute("href");
  videoParser.parse(url, function (res) {
    if (res.success && !res.data.isiframe) {
      var poster = res.data.poster || "https://img.ithome.com/app/images/transparent.png";
      var defaultPoster = ele.querySelectorAll("img");
      if (defaultPoster && defaultPoster.length === 1) {
        poster = defaultPoster[0].getAttribute("src");
      }
      var isAndroid = rm.getEnv().platform === "Android";
      var appVer = rm.getEnv().appver;
      var useRedirectPath = isAndroid && appVer > 8.695 && url.indexOf("weibo.") !== -1;

      var id = "s-player-" + (playerIdCount++);
      var Vobject = document.createElement("iframe");
      var path = "./fragment/wbPlayer2.html";
      if(useRedirectPath){
        path = document.querySelector("meta[name='rm-redirect-path-wbPlayer']").getAttribute("content");
      }
      Vobject.setAttribute("src", path
        + "?u=" + encodeURIComponent(res.data.video)
        + "&poster=" + encodeURIComponent(poster)
        + "&id=" + id);
      Vobject.classList.add("ithome_video");
      Vobject.setAttribute("frameborder", "no");
      Vobject.setAttribute("width", "100%");
      Vobject.setAttribute("allowfullscreen", "true");
      Vobject.setAttribute("id", id)
      ele.parentNode.insertBefore(Vobject, ele);
      ele.style.display = "none";


      // var Vobject = document.createElement("video");
      // Vobject.setAttribute("controls", "controls");
      // Vobject.setAttribute("controlsList", "nodownload");
      // Vobject.setAttribute("preload", "metadata");
      // Vobject.setAttribute("src", res.data.video);
      // Vobject.setAttribute("playsinline", "true");
      // Vobject.setAttribute("poster", poster);
      // ele.parentNode.insertBefore(Vobject, ele);
      // ele.style.display = "none";

    }
  });
}
window.addEventListener("message", function (e) {
  console.log("iframeMessage", e)
  if (e.data && e.data.type === "videoResize") {
    var id = e.data.data.id;
    var height = e.data.data.height;
    document.getElementById(id).style.height = height + "px";
  }
})